Bug 1650937 (python-dipy) - Review Request: python-dipy - Diffusion MRI utilities in python
Summary: Review Request: python-dipy - Diffusion MRI utilities in python
Keywords:
Status: CLOSED ERRATA
Alias: python-dipy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-17 19:05 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-12-06 03:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 02:49:25 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-17 19:05:29 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-dipy/python-dipy.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-dipy/python-dipy-0.15.0-0.1.git756b519.fc29.src.rpm

Description: 
DIPY is a python toolbox for analysis of MR diffusion imaging.
DIPY is for research only; please do not use results from DIPY for clinical
decisions.

Current information can always be found from the DIPY website - http://dipy.org

Fedora Account System Username: ankursinha

Comment 1 Manas Mangaonkar (Pac23) 2018-11-18 15:27:34 UTC
Not a Official Review!
--------------------------------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: python-dipy-debugsource : /usr/src/debug/python-
  dipy-0.15.0-0.1.git756b519.fc30.x86_64/src/dpy_math.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Expat License",
     "Unknown or generated", "BSD 2-clause "Simplified" License". 636 files
     have unknown license. Detailed output of licensecheck in
     /root/review/neurofed/python-dipy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/dipy
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/dipy
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python3-dipy-0.15.0-0.1.git756b519.fc30.x86_64.rpm
          python-dipy-doc-0.15.0-0.1.git756b519.fc30.noarch.rpm
          python-dipy-debugsource-0.15.0-0.1.git756b519.fc30.x86_64.rpm
          python-dipy-0.15.0-0.1.git756b519.fc30.src.rpm
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_csa
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_csd
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_dki
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_dti
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_mapmri
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_info
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_labelsbundles
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_mask
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_median_otsu
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_nlmeans
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_recobundles
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_reslice
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_slr
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_track_det
4 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python-dipy-doc.noarch: W: invalid-url URL: https://pypi.python.org/pypi/dipy <urlopen error [Errno -2] Name or service not known>
python-dipy-debugsource.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/dipy <urlopen error [Errno -2] Name or service not known>
python3-dipy.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/dipy <urlopen error [Errno -2] Name or service not known>
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_csa
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_csd
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_dki
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_dti
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_fit_mapmri
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_info
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_labelsbundles
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_mask
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_median_otsu
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_nlmeans
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_recobundles
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_reslice
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_slr
python3-dipy.x86_64: W: no-manual-page-for-binary dipy_track_det
3 packages and 0 specfiles checked; 0 errors, 17 warnings.



Requires
--------
python-dipy-doc (rpmlib, GLIBC filtered):

python-dipy-debugsource (rpmlib, GLIBC filtered):

python3-dipy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    libc.so.6()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgomp.so.1(OMP_3.0)(64bit)
    libpthread.so.0()(64bit)
    libpython3.7m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-dipy-doc:
    python-dipy-doc

python-dipy-debugsource:
    python-dipy-debugsource
    python-dipy-debugsource(x86-64)

python3-dipy:
    python3-dipy
    python3-dipy(x86-64)
    python3.7dist(dipy)
    python3dist(dipy)



Unversioned so-files
--------------------
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/bundlemin.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/crosscorr.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/expectmax.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/parzenhist.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/sumsqdiff.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/transforms.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/align/vector_fields.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/denoise/denspeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/denoise/enhancement_kernel.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/denoise/nlmeans_block.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/denoise/pca_noise_estimate.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/denoise/shift_twist_convolution.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/direction/bootstrap_direction_getter.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/direction/closest_peak_direction_getter.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/direction/pmf.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/direction/probabilistic_direction_getter.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/reconst/peak_direction_getter.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/reconst/quick_squash.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/reconst/recspeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/reconst/vec_val_sum.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/clustering_algorithms.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/clusteringspeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/cythonutils.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/featurespeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/metricspeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/segment/mrf.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/distances.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/fbcmeasures.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/local/direction_getter.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/local/interpolation.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/local/localtrack.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/local/tissue_classifier.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/propspeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/streamlinespeed.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/tracking/vox2track.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/utils/fast_numpy.cpython-37m-x86_64-linux-gnu.so
python3-dipy: /usr/lib64/python3.7/site-packages/dipy/utils/omp.cpython-37m-x86_64-linux-gnu.so

Ignore the issues as GCC is mentioned as a build require in the spec file.Fedora-Review mentions it in the review text(Removed it from that). Package builds fine otherwise,fc30 dipy-debug source failed to build but i did a mock build against fc29 and rawhide so.

Comment 2 Robert-André Mauchin 2018-11-18 17:10:40 UTC
 - Why docs are disabled?

%bcond_with docs



Package approved otherwise.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-18 21:46:41 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - Why docs are disabled?
> 
> %bcond_with docs
> 
> 

The docs generation process tries to download 100MB+ image files etc., so I think it's best to just refer users to upstream documentation instead of downloading it all. I can provide partial documentation, but that may confuse users :(

I've added a comment in the spec to clarify.

> 
> Package approved otherwise.

Lovely! Thanks!

Comment 5 Gwyn Ciesla 2018-11-19 14:34:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-dipy

Comment 6 Fedora Update System 2018-11-19 19:34:47 UTC
python-dipy-0.15.0-0.3.git756b519.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3d5c7b663

Comment 7 Fedora Update System 2018-11-19 19:34:47 UTC
python-dipy-0.15.0-0.3.git756b519.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3d5c7b663

Comment 8 Fedora Update System 2018-11-19 19:34:51 UTC
python-dipy-0.15.0-0.3.git756b519.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-373dc3e3a0

Comment 9 Fedora Update System 2018-11-21 04:31:21 UTC
python-dipy-0.15.0-0.3.git756b519.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-373dc3e3a0

Comment 10 Fedora Update System 2018-11-21 05:10:29 UTC
python-dipy-0.15.0-0.3.git756b519.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3d5c7b663

Comment 11 Fedora Update System 2018-11-27 16:43:00 UTC
python-dipy-0.15.0-0.4.git756b519.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-373dc3e3a0

Comment 12 Fedora Update System 2018-11-27 16:43:13 UTC
python-dipy-0.15.0-0.4.git756b519.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3d5c7b663

Comment 13 Fedora Update System 2018-11-28 03:47:20 UTC
python-dipy-0.15.0-0.4.git756b519.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-373dc3e3a0

Comment 14 Fedora Update System 2018-11-28 04:51:20 UTC
python-dipy-0.15.0-0.4.git756b519.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3d5c7b663

Comment 15 Fedora Update System 2018-12-06 02:49:25 UTC
python-dipy-0.15.0-0.4.git756b519.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-06 03:56:23 UTC
python-dipy-0.15.0-0.4.git756b519.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.